<template>
  <div class="counter_box">
    <!-- 收银台 -->
    <Counter v-if="showInner == ''" @showInnerControl="showInnerControl" />
    <!-- 联系客服 -->
    <MenuService
      v-if="showInner == 'service'"
      @showInnerControl="showInnerControl"
    />
  </div>
</template>

<script>
import Counter from "@/views/Counter/Counter"; // 收银台内容
import MenuService from "@/components/Menu/MenuService"; // 联系客服
export default {
  name: "CounterBox",
  components: {
    Counter,
    MenuService,
  },
  data() {
    return {
      showInner: "", // 控制显示哪个组件
    };
  },
  computed: {},
  watch: {},
  created() {},
  mounted() {},
  methods: {
    // 控制显示哪个组件
    showInnerControl(showInner) {
      this.showInner = showInner;
    },
  },
};
</script>

<style lang='less' scoped>
</style>